<?php
abstract class Information
{
    abstract public function getID();
    abstract public function getName();
    abstract public function getCode();
}

class Patient extends Information
{
    public function getID()
    {
        /* kod metody */
    }
    public function getName()
    {
        /* kod metody */
    }
    public function getCode()
    {
        /* kod metody */
    }
}